Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class NotEmptyHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.NotEmptyHelper

public class NotEmptyHelper
extends java.lang.Object

Helper class for : NotEmpty

Author:
  OpenORB Compiler

Constructor Summary
`NotEmptyHelper()`

Method Summary
`static NotEmpty` | `extract(Any a)` Extract NotEmpty from an any
`static java.lang.String` | `id()` Return the NotEmpty IDL ID
`static void` | `insert(Any a, NotEmpty t)` Insert NotEmpty into an any
`static NotEmpty` | `read(InputStream istream)` Read NotEmpty from a marshalled stream
`static TypeCode` | `type()` Return the NotEmpty TypeCode
`static void` | `write(OutputStream ostream, NotEmpty value)` Write NotEmpty into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotEmptyHelper

    public NotEmptyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NotEmpty t)

  Insert NotEmpty into an any
  Parameters:
    `a` - an any
    `t` - NotEmpty value

### extract

    public static NotEmpty extract(Any a)

  Extract NotEmpty from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NotEmpty value

### type

    public static TypeCode type()

  Return the NotEmpty TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NotEmpty IDL ID
  Returns:
    an ID

### read

    public static NotEmpty read(InputStream istream)

  Read NotEmpty from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NotEmpty value

### write

    public static void write(OutputStream ostream,
                             NotEmpty value)

  Write NotEmpty into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NotEmpty value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD